@import "https://fonts.googleapis.com/css?family=Lily+Script+One";
@import url("https://fonts.googleapis.com/css2?family=Madimi+One&display=swap");

body {
  margin: 0 auto;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: url("bg.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
}

.container {
  box-sizing: border-box;
  width: 560px;
  height: 290px;
  border-radius: 20px;
  background-color: #f5f5dc43;
  padding: 15px;
  text-align: left;
  perspective: 400px;
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
  word-break: break-all;
}

p {
  position: absolute;
  font-family: "Madimi One", sans-serif;
  white-space: nowrap;
  font-size: 2em;
  color: rgba(0, 0, 0, 0.9);
  text-shadow: 0px 1px 5px #f5deb3;
  font-weight: 700;
}

.panel {
  position: absolute;
  width: 182px;
  height: 50px;
  background: white;
  transition: transform 1s;
  transform-origin: 0% 50%;
  cursor: help;
  border-radius: 50px;
  margin-top: 30px;
  box-shadow: 0 0 5px rgb(228, 16, 122);
}

.spoiler-text {
  position: absolute;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  color: red;
  padding-top: 30px;
  text-decoration: none;
}
.spoiler-text a {
  text-decoration: none;
  color: black;
}
.panel:active,
.panel:focus {
  transform: rotateY(-90deg);
}

@media screen and (max-width: 600px) {
  .container {
    width: 100%;
    margin: 20px;
  }
  p {
    font-size: 1.5em;
    word-break: break-all;
  }
  .panel {
    width: 150px;
    height: 40px;
    margin-top: 20px;
  }
  .spoiler-text {
    padding-top: 20px;
  }
}
